.app.form.lil-quick-skills-editor {
	min-width: 400px;
	min-height: 560px;

	.window-content {
		height: 100%;
		overflow: hidden;
	}

	.hint,
	.buttons {
		flex: 0;
	}

	.hint {
		min-height: unset;
	}

	.flexrow,
	.flexcol {
		gap: 3px;
	}

	form {
		height: 100%;

		display: flex;
		flex-direction: column;
		gap: 0.5em;

		hr {
			margin: 0;
			padding: 0;
		}

		input[type='checkbox'] {
			height: 16px;
			width: 16px;
			flex: 0 16px;
			margin: 0;
			padding: 0;
		}

		fieldset {
			padding: 0.1em 0.3em;
		}

		.align-center {
			align-items: center;
		}

		.threshold {
			.min-rank {
				input {
					line-height: 1;
					height: unset;
				}
			}

			.slider,
			.usemod-toggle {
				display: flex;
				flex-direction: row;
				gap: 0.5em;
			}

			.slider {
				align-items: center;

				label,
				.percentage {
					flex: 0;
					white-space: nowrap;
				}

				label {
					white-space: nowrap;
				}
			}

			.hint {
				margin-left: 2em;
			}
		}

		.skill-list {
			list-style: none;
			padding: 0;
			margin: 0;

			display: grid;
			grid-template-columns: 1fr;

			&.actor {
				grid-template-columns: 1fr min-content min-content min-content;
			}

			gap: 3px;

			overflow-y: auto;
			scrollbar-width: auto;
			scrollbar-color: var(--pf1-scrollbar-handle, darkred)
				var(--pf1-scrollbar-background, transparent);

			li {
				display: contents;

				> * {
					padding: 0 3px;
				}

				&.skill-list-header {
					> * {
						top: 0;
						position: sticky;

						background: hsl(50deg 12% 71%);
					}

					label {
						padding-left: 1.5rem;
						font-weight: bold;
					}

					span {
						font-size: var(--font-size-11);
						flex: 0 2em;
						text-align: right;
					}
				}

				label {
					display: inline-flex;
					flex-direction: row;
					gap: 0.3rem;
				}

				&.default {
					background-color: #ffd70021;
				}

				&.skill {
					&:nth-child(2n + 1) {
						> * {
							background-color: rgba(0, 0, 0, 0.05);
						}

						&.default {
							> * {
								background-color: #7c6b1021;
							}
						}
					}

					.mod,
					.rank,
					.default {
						flex: 0 2em;
						text-align: right;
					}

					.default {
						flex: 0 16px;
					}

					&.auto-select {
						font-weight: bold;
					}

					&:hover {
						background-color: #afcbc5;
						box-shadow: 0 0 3px #7b7285;
					}
				}
			}

			&.hide-unselected li.skill:not(.auto-select) {
				display: none;
			}
		}
	}
}

.pf1.sheet.actor form .tab.summary .lil-subdetails-reorganizer {
	gap: 3px;
	overflow: hidden scroll;
	scrollbar-width: auto;
	scrollbar-color: var(--pf1-scrollbar-handle, darkred)
		var(--pf1-scrollbar-background, transparent);

	.lil-quick-skills {
		flex: 0.1 8em;

		border: 1px solid #8b8075;
		border-radius: 0.7em;
		padding: 0.1em 0.3em;
		margin: 0.3em 0;

		.quick-skills-header {
			display: flex;
			flex-direction: row;

			h2 {
				flex: 1;
				font-size: var(--font-size-18);
			}

			.edit {
				flex: 0;

				transition: 200ms;
				cursor: pointer;

				&:hover {
					text-shadow: 0 0 7px red;
				}
			}
		}

		ul {
			display: flex;
			flex-direction: column;
			gap: 3px;

			margin: 0;
			padding: 0;

			list-style: none;

			[data-skill] {
				display: flex;
				flex-direction: row;
				gap: 3px;
				cursor: pointer;

				position: relative;

				&:nth-child(2n + 0) {
					background-color: rgba(0, 0, 0, 0.05);
				}

				&:hover {
					background-color: #afcbc5;
					box-shadow: 0 0 3px #7b7285;
				}

				.name {
					margin: 0;
					padding: 0;
					flex: 1;

					border: unset;

					white-space: nowrap;
					text-overflow: ellipsis;
					overflow: hidden;
				}

				.mod {
					text-align: right;
					flex: 0 2em;
					text-shadow: 0 0 0.1em #604601;
				}

				.acp {
					flex: 0 16px;
					width: 16px;
					height: 16px;

					color: #6c6caf;

					&.penalty {
						color: #851d1d;
					}
					text-align: center;

					&.unaffected {
						opacity: 0.2;
						color: black;
					}
				}
			}
		}
	}
}

#tooltip.lil-quick-skills-tooltip {
	border: 2px solid var(--lil-tooltip-border); // greenyellow;
	background-color: var(--lil-tooltip-bg);

	font-size: var(--font-size-11);
	color: var(--lil-tooltip-text);

	border-bottom-right-radius: 0;

	.row {
		display: flex;
		flex-direction: row;
		gap: 0.7em;

		label {
			flex: 1;
		}

		.value {
			flex: 0;
			color: gold;

			&.null {
				color: darkgoldenrod;
			}
		}
	}

	h2,
	h3 {
		border-bottom: 1px solid goldenrod;
		margin: 0;
		padding: 0 0 3px 0;
		margin-bottom: 0.3em;
	}

	h3 {
		font-size: var(--font-size-14);
		margin-top: 0.3em;
	}

	h2 {
		font-size: var(--font-size-18);
	}
}
